BEGIN;

ALTER TABLE content ADD COLUMN owner integer;
ALTER TABLE content ADD COLUMN "group" integer;
ALTER TABLE content ADD COLUMN userrights integer;
ALTER TABLE content ADD COLUMN grouprights integer;
ALTER TABLE content ADD COLUMN otherrights integer;
ALTER TABLE content ADD COLUMN deleted integer;

ALTER TABLE content ALTER COLUMN owner SET DEFAULT 0;
ALTER TABLE content ALTER COLUMN "group" SET DEFAULT 0;
ALTER TABLE content ALTER COLUMN userrights SET DEFAULT 0;
ALTER TABLE content ALTER COLUMN grouprights SET DEFAULT 0;
ALTER TABLE content ALTER COLUMN otherrights SET DEFAULT 0;
ALTER TABLE content ALTER COLUMN deleted SET DEFAULT 0;

ALTER TABLE tree ADD COLUMN owner integer;
ALTER TABLE tree ADD COLUMN "group" integer;
ALTER TABLE tree ADD COLUMN userrights integer;
ALTER TABLE tree ADD COLUMN grouprights integer;
ALTER TABLE tree ADD COLUMN otherrights integer;
ALTER TABLE tree ADD COLUMN deleted integer;

ALTER TABLE tree ALTER COLUMN owner SET DEFAULT 0;
ALTER TABLE tree ALTER COLUMN "group" SET DEFAULT 0;
ALTER TABLE tree ALTER COLUMN userrights SET DEFAULT 0;
ALTER TABLE tree ALTER COLUMN grouprights SET DEFAULT 0;
ALTER TABLE tree ALTER COLUMN otherrights SET DEFAULT 0;
ALTER TABLE tree ALTER COLUMN deleted SET DEFAULT 0;

ALTER TABLE files ADD COLUMN owner integer;
ALTER TABLE files ADD COLUMN date timestamp;
ALTER TABLE files ADD COLUMN deleted integer;

ALTER TABLE files ALTER COLUMN owner SET DEFAULT 0;
ALTER TABLE files ALTER COLUMN date SET DEFAULT now();
ALTER TABLE files ALTER COLUMN deleted SET DEFAULT 0;

CREATE TABLE users (
	id integer PRIMARY KEY DEFAULT nextval('seq_knowledge'),
	name varchar(255) DEFAULT '',
	"password" varchar(255) DEFAULT '',
	enabled integer DEFAULT 0,
	defaultgroup integer DEFAULT 0,
	defaultrights varchar(3) DEFAULT '211',
	admin integer DEFAULT 0,
	rightedit integer DEFAULT 0,
	treecache text,
	deleted integer DEFAULT 0
);

CREATE TABLE groups (
	id integer PRIMARY KEY DEFAULT nextval('seq_knowledge'),
	name varchar(255) DEFAULT '',
	enabled integer DEFAULT 0,
	deleted integer DEFAULT 0
);

CREATE TABLE user_group (
	id integer PRIMARY KEY DEFAULT nextval('seq_knowledge'),
	userid integer DEFAULT 0,
	groupid integer DEFAULT 0
);

CREATE INDEX idx_users ON users USING btree (name);

INSERT INTO groups (name, enabled) VALUES ('admin', 1);
INSERT INTO groups (name, enabled) VALUES ('users', 1);

INSERT INTO users (name, password, enabled, admin, rightedit, defaultgroup, defaultrights) VALUES ('admin', '21232f297a57a5a743894a0e4a801fc3', 1, 1, 1, (SELECT id FROM groups WHERE name='admin'), 210);

UPDATE tree SET deleted=0, owner=(SELECT id FROM users WHERE name='admin'), "group"=(SELECT id FROM groups WHERE name='admin'), userrights=2, grouprights=1, otherrights=0;
UPDATE content SET deleted=0, owner=(SELECT id FROM users WHERE name='admin'), "group"=(SELECT id FROM groups WHERE name='admin'), userrights=2, grouprights=1, otherrights=0;

COMMIT;